Package org.apache.uima.cas

# Interface LongArrayFS

All Superinterfaces:
  `Cloneable`, `CommonArrayFS<Long>`, `FeatureStructure`

All Known Subinterfaces:
  `LongArrayFSImpl`

All Known Implementing Classes:
  `LongArray`

public interface LongArrayFS extends CommonArrayFS<Long>
Long array interface. To create a long array object, use `CAS.createLongArrayFS(int)` or new LongArray(aJCas, length)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyFromArray(long[] src, int srcOffset, int destOffset, int length)`
  Copy the contents of an external array into this array.
  `void`
  `copyToArray(int srcOffset, long[] dest, int destOffset, int length)`
  Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
  `long`
  `get(int i)`
  Get the i-th element from the array.
  `void`
  `set(int i, long b)`
  Set the i-th value.
  `long[]`
  `toArray()`
  Creates a new array the this array is copied to.

  ### Methods inherited from interface org.apache.uima.cas.CommonArrayFS

  `copyFromArray, copyToArray, copyValuesFrom, getValuesAsCommaSeparatedString, isEmpty, size, toStringArray`

  ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

  `_getTypeCode, _id, clone, equals, getAddress, getBooleanValue, getByteValue, getCAS, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getJCas, getLongValue, getShortValue, getStringValue, getType, hashCode, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue`

- ## Method Details

  - ### get

    long get(int i) throws ArrayIndexOutOfBoundsException
    Get the i-th element from the array.
    Parameters:
      `i` - the index
    Returns:
      The i-th element.
    Throws:
      `ArrayIndexOutOfBoundsException` - If the index is out of bounds.

  - ### set

    void set(int i, long b) throws ArrayIndexOutOfBoundsException
    Set the i-th value.
    Parameters:
      `i` - The index.
      `b` - The value.
    Throws:
      `ArrayIndexOutOfBoundsException` - If `i` is out of bounds.

  - ### copyToArray

    void copyToArray(int srcOffset, long[] dest, int destOffset, int length) throws ArrayIndexOutOfBoundsException
    Copy the contents of the array from `start` to `end` to the destination `destArray` with destination offset `destOffset`.
    Parameters:
      `srcOffset` - The index of the first element to copy.
      `dest` - The array to copy to.
      `destOffset` - Where to start copying into `dest`.
      `length` - The number of elements to copy.
    Throws:
      `ArrayIndexOutOfBoundsException` - If `srcOffset < 0` or `length > size()` or `destOffset + length > destArray.length`.

  - ### copyFromArray

    void copyFromArray(long[] src, int srcOffset, int destOffset, int length) throws ArrayIndexOutOfBoundsException
    Copy the contents of an external array into this array.
    Parameters:
      `src` - The source array.
      `srcOffset` - Where to start copying in the source array.
      `destOffset` - Where to start copying to in the destination array.
      `length` - The number of elements to copy.
    Throws:
      `ArrayIndexOutOfBoundsException`

  - ### toArray

    long[] toArray()
    Creates a new array the this array is copied to.
    Returns:
      A Java array copy of this FS array.